Cisco Packet Tracer: Hur installerar jag den senaste versionen på GNU / Linux?

Cisco Packet Tracer: Hur installerar jag den senaste versionen på GNU / Linux?

Cisco Packet Tracer: Hur installerar jag den senaste versionen på GNU / Linux?

För Teknologer älskare av Telekommunikationsnät och GNU / Linux, det finns bra gratis och öppna program, till exempel GNS3, vilket tillåter simulering (konstruktion, design och testning) nätverk i en virtuell miljö. Ytterligare, GNS3 Det gör det möjligt för många studenter att förbereda sig för sina nätverksstudier eller yrkesverksamma att enkelt designa och bygga ett nätverk utan behov av specialiserad eller faktisk hårdvara.

Men för dem som vanligtvis ser sina lektioner direkt på "Cisco Networking Academy" och de gillar också GNU / Linuxfinns det möjlighet att använda den inhemska klienten av "Cisco Packet Tracer" gratis och öppna operativsystem.

Pkg2appimage: Hur man bygger våra egna AppImage-filer?

Pkg2appimage: Hur man bygger våra egna AppImage-filer?

Visst har mycket förändrats sedan vi först talade i Blogga FromLinux om hur man installerar Cisco Packet Tracer, som anges i följande post med en fil "* .bin" av tiden:

Relaterad artikel:
Installation av Paquet Tracer 5.3.3 på spanska i Ubuntu 13.04 (32 bitar)

Och förra gången vi gjorde, erbjöd vi en alternativ metod för när det är omöjligt att installera en viss version, vilket framgår av följande post med Pkg2Appbild:

Relaterad artikel:
Pkg2appimage: Hur man bygger våra egna AppImage-filer?

Därför kommer vi idag att förklara den traditionella metoden genom att ladda ner fil "* .deb" finns på webbplatsen för "Cisco Networking Academy".

Vad är Cisco Packet Tracer?

Cisco Packet Tracer: Network Simulation Tool

Vad är Cisco Packet Tracer?

Enligt den officiella webbplatsen för "Cisco Networking Academy" detta programvaruverktyg beskrivs som:

"ELLEREn innovativ och kraftfull nätverkssimulator som du kan använda för att öva på att bygga ditt eget nätverk med routrar, switchar, trådlös teknik och mer. Det låter dig experimentera med nätverksbeteenden, bygga modeller och fråga dig själv "vad händer om ...?" Att ha denna praktiska erfarenhet av enhetskonfiguration och felsökning är ett av de viktiga elementen som krävs i Cisco-certifieringar". Vanliga frågor om Packet Tracer

Hur installerar jag Cisco Packet Tracer på GNU / Linux?

Ladda ner installationsprogrammet

För att ladda ner det nuvarande installationsprogrammet tillgängligt på webbplatsen för «Cisco Networking Academy« måste först registrera sig i samma, om den kurs som finns tillgänglig för Cisco Packet Tracer, genom att klicka på nästa länk. anteckning: för närvarande installationsprogram tillgängligt till Linux i 64-bitars är den som motsvarar version 7.3.1.

Installationsprocess

Efter nedladdning av filen från Installatören för närvarande tillgänglig (PacketTracer_731_amd64.deb) Det enda som saknas är att installera det på ett traditionellt sätt med en pakethanterare via terminal eller via grafik.

För vår fallstudie kommer processen att genomföras via terminal. Sedan kan du enkelt installera det och kontrollera bekvämare för installationsfel om de skulle inträffa. Innan du installerar ett paket rekommenderas att du kontrollerar vilka beroenden det begär för att installera dem tidigare. I fallet med detta version 7.3.1 de Cisco Packet Tracer följande kommando måste köras för att se dess beroenden:

sudo dpkg-deb -I PacketTracer_731_amd64.deb

Att ge som ett resultat att nödvändiga beroenden är:

sudo,dialog,xdg-utils,gtk-update-icon-cache,libgl1-mesa-glx,libpulse0,libnss3,libxss1,libasound2,libxslt1.1,libxkbcommon-x11-0

Därför måste följande kommando köras för att installera samma sak

sudo apt install sudo dialog xdg-utils gtk-update-icon-cache libgl1-mesa-glx libpulse0 libnss3 libxss1 libasound2 libxslt1.1 libxkbcommon-x11-0

Om allt installeras, fortsätt med att installera paketet PacketTracer_731_amd64.deb med följande kommando:

sudo dpkg -i PacketTracer_731_amd64.deb

Kom ihåg att när beroenden av a paket "* .deb" nedladdade får du ofta fel som vanligtvis åtgärdas genom att köra följande kommandon:

sudo apt install -f

sudo apt install --fix-broken

Istället, om du vill installera detta eller något annat paket "* .deb" automatiskt lösa beroenden, kör installationen direkt med kommando "apt-get, aptitude eller apt" med hjälp av "installera" alternativ, som visas i följande exempel med följande kommandokommando:

sudo apt install ./Descargas/PacketTracer_731_amd64.deb

Cisco Packet Tracer redan installerat

I mitt fall, eftersom jag inte fick några felmeddelanden, fortsatte jag bara att köra min Cisco Packet Tracer redan installerad och letar efter den i applikationsmeny, som ett resultat av det perfekta utförandet av det. Som framgår av bilden ovan.

Slutligen, se till att besöka webbplatsen för det fria och öppna alternativet till Cisco Packet Tracer samtal GNS3. Och om du kan, använd den.

Generisk bild för artikelns slutsatser

Slutsats

Vi hoppas det här "hjälpsamma lilla inlägg"«Cisco Packet Tracer», som är ett kraftfullt nätverkssimuleringsverktyg designat av det kända företaget «Cisco»och tillhandahålls genom dess berömda Cisco Networking Academy under sitt globala utbildningsprogram i Cybersäkerhet och IT, vara av stort intresse och nytta för hela tiden «Comunidad de Software Libre y Código Abierto» och med stort bidrag till spridningen av det underbara, gigantiska och växande ekosystemet för applikationer av «GNU/Linux».

Och för mer information, tveka inte att besöka någon Online-bibliotek som OpenLibra y jedit att läsa böcker (PDF-filer) om detta ämne eller andra kunskapsområden. För nu, om du gillade det här «publicación», sluta inte dela det med andra, i din Favoritwebbplatser, kanaler, grupper eller grupper av sociala nätverk, helst gratis och öppet som Mastodon, eller säker och privat liknande Telegram.

Eller helt enkelt besöka vår hemsida på Från Linux eller gå med i den officiella kanalen Telegram från FromLinux att läsa och rösta på denna eller andra intressanta publikationer på «Software Libre», «Código Abierto», «GNU/Linux» och andra ämnen relaterade till «Informática y la Computación», Och «Actualidad tecnológica».


Innehållet i artikeln följer våra principer om redaktionell etik. Klicka på för att rapportera ett fel här.

11 kommentarer, lämna din

Lämna din kommentar

Din e-postadress kommer inte att publiceras.

*

*

  1. Ansvarig för uppgifterna: Miguel Ángel Gatón
  2. Syftet med uppgifterna: Kontrollera skräppost, kommentarhantering.
  3. Legitimering: Ditt samtycke
  4. Kommunikation av uppgifterna: Uppgifterna kommer inte att kommuniceras till tredje part förutom enligt laglig skyldighet.
  5. Datalagring: databas värd för Occentus Networks (EU)
  6. Rättigheter: När som helst kan du begränsa, återställa och radera din information.

  1.   MARIA BRIÓN sade

    Tack! Det fungerar perfekt.
    När det gäller GNS3, som jag inte visste, ser det väldigt bra ut. Jag ska prova det.

    1.    Linux-postinstallation sade

      Hälsningar, Maria. Tack för att du skrev till oss. Jag är mycket glad att innehållet har varit användbart för dig.

  2.   Rodrigo street sade

    Mycket tacksam för det delade, det fungerar perfekt

    1.    Linux-postinstallation sade

      Hälsningar, Rodrigo. Vi är glada att handledningen fungerade perfekt för dig.

  3.   C4in sade

    Om installationen med .deb inte fungerar sparar den här metoden dig och jag verifierar att den fungerar.

  4.   Atlas sade

    Hälsningar tack för bidraget, jag har följt stegen för att se beroenden och installera, men läsningen indikerar att jag har beroenden i deras senaste versioner, sedan försöker jag installera och det kastar ett fel, jag använder ubuntu 20lts och packettrancer 8 är felet som kastar följande:

    Konfigurera packettracer (8.0.1) ...
    gtk-update-icon-cache: Ingen temaindexfil.
    Bearbetar utlösare för mime-support (3.64ubuntu1) ...
    Bearbetar utlösare för gnome-menyer (3.36.0-1ubuntu1) ...
    Bearbetar utlösare för shared-mime-info (1.15-1) ...
    Bearbetar triggers för desktop-fil-utils (0.24-1ubuntu3) ...
    W: Förvaret är trasigt: packettracer: amd64 (= 8.0.1) har ingen storleksinformation

    1.    Linux-postinstallation sade

      Hälsningar, försök skapa Cisco Packet Tracer AppImage från en annan GNU / Linux som har biblioteken eller inte skapar konflikten för AppImage. Efter det, med AppImage redan skapat, installera det på GNU / Linux Distro där du behöver det. Det kommer säkert att installeras utan problem. Och du berättar för oss senare, hur gick det?

  5.   @redcameleon sade

    tack för informationen. Jag installerade det precis utan problem på Debian 11
    vi kommer att testa det för att se vad det är ... Jag använder redan GNS3 men för cisco -testning !!
    Tack

    1.    Linux-postinstallation sade

      Hälsningar, Redchameleon. Tack för din kommentar. Och jag hoppas att det kommer att vara mycket användbart för dig att nu använda Cisco Packet Tracer på GNU / Linux.

  6.   VARP sade

    Det fungerar inte för en jävla mamma

    1.    Linux-postinstallation sade

      Hälsningar VARP. På den tiden med Debian 10 fungerade det inte bara för mig utan för andra. Vi kommer att kontrollera det med Debian 11 för att se om inlägget behöver uppdateras.